Go to the latest version of this document.

# ``twisted`.`logger`.`LegacyLogObserverWrapper``

class documentation

`class LegacyLogObserverWrapper: (source)`

Constructor: `LegacyLogObserverWrapper(legacyObserver)`

Implements interfaces: `twisted.logger.ILogObserver`

View In Hierarchy

`ILogObserver` that wraps a `twisted.python.log.ILogObserver`.

Received (new-style) events are modified prior to forwarding to the legacy observer to ensure compatibility with observers that expect legacy events.

Method | `__call__` | Forward events to the legacy observer after editing them to ensure compatibility.
Method | `__init__` | No summary
Method | `__repr__` | Undocumented
Instance Variable | `legacyObserver` | Undocumented

def __call__(self, event: `LogEvent`): (source)
from `twisted.logger.ILogObserver`

Forward events to the legacy observer after editing them to ensure compatibility.

Parameters
event:`LogEvent` | an event

def __init__(self, legacyObserver: `ILegacyLogObserver`): (source)

Parameters
legacyObserver:`ILegacyLogObserver` | a legacy observer to which this observer will forward events.

def __repr__(self) -> `str`: (source)

Undocumented

legacyObserver = (source)

Undocumented